Advertisement:

Author Topic: error in my localhost forum (Deprecated: Required parameter)  (Read 2620 times)

Offline GPL2819

  • Newbie
  • *
  • Posts: 4
error in my localhost forum (Deprecated: Required parameter)
« on: April 04, 2021, 09:25:49 AM »
Hello,
I have install XAMPP for Windows 8.0.3 on my computer, and install the smf 2.0.18, and everything was working perfect.
Today I can't access my local forum, I got this error:

Code: [Select]
Deprecated: Required parameter $table follows optional parameter $method in C:\xampp\htdocs\123\Sources\Subs-Db-mysql.php on line 1456
Deprecated: Required parameter $columns follows optional parameter $method in C:\xampp\htdocs\123\Sources\Subs-Db-mysql.php on line 1456
Deprecated: Required parameter $data follows optional parameter $method in C:\xampp\htdocs\123\Sources\Subs-Db-mysql.php on line 1456
Deprecated: Required parameter $keys follows optional parameter $method in C:\xampp\htdocs\123\Sources\Subs-Db-mysql.php on line 1456
Warning: Trying to access array offset on value of type null in C:\xampp\htdocs\123\Sources\Subs-Db-mysql.php on line 1286
Table '.\smf_2fyt4\rcz_settings' is marked as crashed and last (automatic?) repair failed

what shall I do to fix it?
I need to get my forum back.

Offline GPL2819

  • Newbie
  • *
  • Posts: 4
Re: error in my localhost forum (Deprecated: Required parameter)
« Reply #1 on: April 08, 2021, 05:56:22 PM »
Hello again,
Is my problem not clear, or is my question stupid?
There are 1,867 Views until now, and no one can help me solve my problem.
That is Wired.

Online shadav

  • Support Specialist
  • Sophist Member
  • *
  • Posts: 1,295
  • Gender: Female
    • shadav on Facebook
    • leashadav on GitHub
    • Ask The Muslims: A Place To Ask Honest Questions and Receive Respectful Answers
Re: error in my localhost forum (Deprecated: Required parameter)
« Reply #2 on: April 08, 2021, 06:16:17 PM »
i have no idea sorry but a quick google search suggests you are trying to use php8
smf is not made to work with php8 (though most tests have shown that it will), smf was made to work with php7.4 if you are using smf 2.1rcx or smf 2.0.18
if your smf is a lower version then you have to use php that goes to that version 7.2 is usually a safe bet

Offline GPL2819

  • Newbie
  • *
  • Posts: 4
Re: error in my localhost forum (Deprecated: Required parameter)
« Reply #3 on: April 10, 2021, 09:57:20 AM »
i have no idea sorry but a quick google search suggests you are trying to use php8
smf is not made to work with php8 (though most tests have shown that it will), smf was made to work with php7.4 if you are using smf 2.1rcx or smf 2.0.18
if your smf is a lower version then you have to use php that goes to that version 7.2 is usually a safe bet

I am using SMF 2.0.18, and I checked what I install according to your reply.
Quote
XAMPP 8.0.3 includes: Apache 2.4.46, MariaDB 10.4.18, PHP 8.0.3, phpMyAdmin 5.1.0, OpenSSL 1.1.1, XAMPP Control Panel 3.2.4, Webalizer 2.23-04, Mercury Mail Transport System 4.63, FileZilla FTP Server 0.9.41, Tomcat 7.0.108 (with mod_proxy_ajp as connector), Strawberry Perl 5.32.0.1 Portable
So, I have PHP 8.0.3, and I have read the SMF requirements on this page: https://download.simplemachines.org/requirements.php
They say PHP 5.4.0 or higher.
So, the problem is from the PHP version?

Offline Aleksi "Lex" Kilpinen

  • A Peculiar Finn
  • Project Manager
  • SMF Super Hero
  • *
  • Posts: 19,846
  • Gender: Male
  • Don't worry, I'm n00b friendly
    • Aleksi.Kilpinen on Facebook
    • LexArma on GitHub
    • aleksi-kilpinen on LinkedIn
    • My Daily Dose Of Blasphemy
Re: error in my localhost forum (Deprecated: Required parameter)
« Reply #4 on: April 10, 2021, 10:58:32 AM »
PHP 8.0.3 was released like a month ago. SMF 2.0.18 actually predates it. You may want to try PHP 7.4.
A Finnish Project Manager (Support Specialist)
Happily running multiple SMF 2.x installations.
 Fooling around with an i7-10700 @ 2,90GHz-4.80GHz / 16Gb / RTX-2070 Super / 3840x2160 / Win 10 x64


How you can help SMF

"Before you allow people access to your forum, especially in an administrative position, you must be aware that that person can seriously damage your forum.
Therefore, you should only allow people that you trust, implicitly, to have such access." -Douglas

Online shadav

  • Support Specialist
  • Sophist Member
  • *
  • Posts: 1,295
  • Gender: Female
    • shadav on Facebook
    • leashadav on GitHub
    • Ask The Muslims: A Place To Ask Honest Questions and Receive Respectful Answers
Re: error in my localhost forum (Deprecated: Required parameter)
« Reply #5 on: April 10, 2021, 11:19:13 AM »
that page is more in general info (though yes maybe it should be edited to add the highest php that will work but then again that depends on which version of smf that you use)

this might help more, with each new release an announcement is made listing it's specifics.
https://www.simplemachines.org/community/index.php?topic=576577.0

Offline GPL2819

  • Newbie
  • *
  • Posts: 4
Re: error in my localhost forum (Deprecated: Required parameter)
« Reply #6 on: April 11, 2021, 05:14:57 AM »
Problem Solved. Thank you.